advice/urls.py
from django.urls import path
from . import views
from .views import getData, terima_advice

app_name = 'advice'

urlpatterns = [
    path('', views.terima_advice, name='index'),
    path('getData/', views.getData, name='getData'),
]

bodyology_project/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('advice/', include('advice.urls')),
    path('products/', include('products.urls')),
    path('products/hair/desc/', include('reviewPage.urls')),
    path('products/face/desc/', include('reviewPage.urls')),
    path('products/skin/desc/', include('reviewPage.urls')),
]

homepage/urls.py
from django.urls import path
from .views import home, logout_view, login_view

app_name = 'homepage'

urlpatterns = [
    path('', home, name='home'),
    path('login/', login_view, name='login'),
    path('logout/', logout_view, name='logout'),
]

products/urls.py
from django.urls import path
from . import views

app_name = 'products'

urlpatterns = [
    path('hair/', views.hair, name='hair'),
    path('face/', views.face, name='face'),
    path('skin/', views.skin, name='skin'),
    path('hair/getData/', views.getDataHair, name='getDataHair'),
    path('face/getData/', views.getDataFace, name='getDataFace'),
    path('skin/getData/', views.getDataSkin, name='getDataSkin'),
]

products/models.py
from django.db import models

category = {
    ('HAIR', 'HAIR'),
    ('FACE', 'FACE'),
    ('SKIN', 'SKIN')
}

hairDict = {
    ('null', 'null'),
    ('DANDRUFF', 'DANDRUFF'),
    ('DRY HAIR', 'DRY HAIR'),
    ('HAIR LOSS', 'HAIR LOSS')
}

faceDict = {
    ('null', 'null'),
    ('JERAWAT', 'JERAWAT'),
    ('BERMINYAK', 'BERMINYAK'),
    ('KERING', 'KERING'),
    ('NORMAL', 'NORMAL'),
}

skinDict = {
    ('null', 'null'),
    ('NORMAL', 'NORMAL'),
    ('KERING', 'KERING'),
    ('SENSITIF', 'SENSITIF'),
}

# Create your models here.
class hairCategory(models.Model):
    # nama = models.CharField(max_length=20)
    hairCategory = models.CharField(max_length=20, choices=hairDict)

    def __str__(self):
        return self.hairCategory

class faceCategory(models.Model):
    # nama = models.CharField(max_length=20)
    faceCategory = models.CharField(max_length=20, choices=faceDict)

    def __str__(self):
        return self.faceCategory

class skinCategory(models.Model):
    # nama = models.CharField(max_length=20)
    skinCategory = models.CharField(max_length=20, choices=skinDict)

    def __str__(self):
        return self.skinCategory

class product(models.Model):
    nama_merk = models.CharField(max_length=100)
    nama_produk = models.CharField(max_length=200)
    deskripsi = models.TextField(max_length=1000)

    kategori = models.CharField(max_length=50, choices=category)
    kategoriHair = models.CharField(max_length=50, choices=hairDict)
    kategoriFace = models.CharField(max_length=50, choices=faceDict)
    kategoriSkin = models.CharField(max_length=50, choices=skinDict)

    linkBeli = models.CharField(max_length=1000)
    linkImage = models.CharField(max_length=1000)
    linkReview = models.CharField(max_length=1000)

    def __str__(self):
        return self.nama_merk+" --> "+self.nama_produk

products/forms.py
from django import forms
from .models import hairCategory, faceCategory, skinCategory

class hairCategoryForm(forms.ModelForm):
    class Meta:
        model = hairCategory
        fields = {'hairCategory'}
        widgets = {'hairCategory': forms.Select(
                    attrs = {
                        'class': 'form-control',
                    }
                )}

class faceCategoryForm(forms.ModelForm):
    class Meta:
        model = faceCategory
        fields = {'faceCategory'}
        widgets = {'faceCategory': forms.Select(
                    attrs = {
                        'class': 'form-control',
                    }
                )}

class skinCategoryForm(forms.ModelForm):
    class Meta:
        model = skinCategory
        fields = {'skinCategory'}
        widgets = {'skinCategory': forms.Select(
                    attrs = {
                        'class': 'form-control',
                    }
                )}

products/views.py
from django.shortcuts import render,redirect
from django.http import HttpResponse
from django.core import serializers
# from homepage.models import Person
from .models import hairCategory, faceCategory, skinCategory, product
from .forms import hairCategoryForm, faceCategoryForm, skinCategoryForm

def getDataHair(request):
    data_produk = product.objects.filter(kategori='HAIR')
    produk_list = serializers.serialize('json', data_produk)
    return HttpResponse(produk_list, content_type="text/json-comment-filtered")

def getDataFace(request):
    data_produk = product.objects.filter(kategori='FACE')
    produk_list = serializers.serialize('json', data_produk)
    return HttpResponse(produk_list, content_type="text/json-comment-filtered")

def getDataSkin(request):
    data_produk = product.objects.filter(kategori='SKIN')
    produk_list = serializers.serialize('json', data_produk)
    return HttpResponse(produk_list, content_type="text/json-comment-filtered")

def hair(request):
    query = request.GET.get("hairCategory")

    if query:
        hair = product.objects.filter(kategoriHair=query)
        argument = {
            'postResult' : True,
            'query' : query,
        }

        return render(request, 'hair.html', argument)
    
    argument = {
        'hairCategory' : hairCategoryForm(),
        'postResult' : False,
    }

    return render(request, 'hair.html', argument)

def face(request):
    query = request.GET.get("faceCategory")

    if query:
        face = product.objects.filter(kategoriFace=query)
        argument = {
            'postResult' : True,
            'query' : query,
        }

        return render(request, 'face.html', argument)
    
    argument = {
        'faceCategory' : faceCategoryForm(),
        'postResult' : False,
    }

    return render(request, 'face.html', argument)

def skin(request):
    query = request.GET.get("skinCategory")

    if query:
        skin = product.objects.filter(kategoriSkin=query)
        argument = {
            'postResult' : True,
            'query' : query,
        }

        return render(request, 'skin.html', argument)
    
    argument = {
        'skinCategory' : skinCategoryForm(),
        'postResult' : False,
    }

    return render(request, 'skin.html', argument)

products/templates/face.html
{% extends "base.html" %}
{% load static %}
{% block customhead %}
  <link rel="stylesheet" type="text/css" href="{% static 'styleProduct.css' %}">
  <script src="{% static 'productFace.js' %}"></script>
{% endblock customhead %}
{% block content %}

{% if postResult %}
<!-- hair category -->
<div id="faceCategory">
  <div class="container">
    <div class="row">
      <div id="category" class="col">
        <!-- content here -->
        <h1>Hello, <span>{{ user.username }}</span></h1>
            <div class="form-group">
                <p>What is your face skin type?</p>
            </div>
            <h3 id="query">{{ query }}</h3>
      </div>
      <div class="col">
      </div>
    </div>
  </div>
</div>

<!-- hair products recommendation -->
<div id="faceCategory">
  <h1 class="title" style="padding-top: 100px; text-align: center; justify-content: center;">Face Products</h1>
  <div class="container">
      <div class="row cardFlex" id="product">
          </div>
      </div>
</div>

{% else %}
    <!-- hair category -->
  <div id="faceCategory">
    <div class="container">
      <div class="row">
        <div id="category" class="col">
          <!-- content here -->
            {% if user.is_authenticated %}
              <h1>Hello, <span>{{ user.username }}</span></h1>
              <form method="GET">
                  {% csrf_token %}
                  <div class="form-group">
                    <p>What is your face skin type?</p>
                    {{faceCategory.faceCategory}}
                  </div>
                  <button type="submit" class="btn btn-primary">Submit</button>
              </form>

            {% else %}
                <div class="row">
                    <h1 class="hello col-md-12 col-sm-12">You're not authenticated</span></h1>
                    <a href="{% url 'homepage:home' %}"><p>Please login first.</p></a>
                </div>
                
            {% endif %}
        </div>
        <div class="col">
        </div>
      </div>
    </div>
  </div>
{% endif %}

{% endblock content %}

products/templates/hair.html
{% extends "base.html" %}
{% load static %}
{% block customhead %}
  <link rel="stylesheet" type="text/css" href="{% static 'styleProduct.css' %}">
  <script src="{% static 'productHair.js' %}"></script>
{% endblock customhead %}
{% block content %}

{% if postResult %}
<!-- hair category -->
<div id="hairCategory">
  <div class="container">
    <div class="row">
      <div id="category" class="col">
        <!-- content here -->
        <h1>Hello, <span>{{ user.username }}</span></h1>
            <div class="form-group">
                <p>What is your hair problem?</p>
            </div>
            <h3 id="query">{{ query }}</h3>
      </div>
      <div class="col">
      </div>
    </div>
  </div>
</div>

<!-- hair products recommendation -->
<div id="hairCategory">
  <h1 class="title" style="padding-top: 100px; text-align: center; justify-content: center;">Hair Products</h1>
  <div class="container">
      <div class="row cardFlex" id="product">
          </div>
      </div>
</div>

{% else %}
    <!-- hair category -->
  <div id="hairCategory">
    <div class="container">
      <div class="row">
        <div id="category" class="col">
          <!-- content here -->
            {% if user.is_authenticated %}
              <h1>Hello, <span>{{ user.username }}</span></h1>
              <form method="GET">
                  {% csrf_token %}
                  <div class="form-group">
                    <p>What is your hair problem?</p>
                    {{hairCategory.hairCategory}}
                  </div>
                  <button type="submit" class="btn btn-primary">Submit</button>
              </form>

            {% else %}
                <div class="row">
                    <h1 class="hello col-md-12 col-sm-12">You're not authenticated</span></h1>
                    <a href="{% url 'homepage:home' %}"><p>Please login first.</p></a>
                </div>
                
            {% endif %}
        </div>
        <div class="col">
        </div>
      </div>
    </div>
  </div>
{% endif %}

{% endblock content %}

products/templates/skin.html
{% extends "base.html" %}
{% load static %}
{% block customhead %}
  <link rel="stylesheet" type="text/css" href="{% static 'styleProduct.css' %}">
  <script src="{% static 'productSkin.js' %}"></script>
{% endblock customhead %}
{% block content %}

{% if postResult %}
<!-- hair category -->
<div id="skinCategory">
  <div class="container">
    <div class="row">
      <div id="category" class="col">
        <!-- content here -->
        <h1>Hello, <span>{{ user.username }}</span></h1>
            <div class="form-group">
                <p>What is your skin type?</p>
            </div>
            <h3 id="query">{{ query }}</h3>
      </div>
      <div class="col">
      </div>
    </div>
  </div>
</div>

<!-- hair products recommendation -->
<div id="skinCategory">
  <h1 class="title" style="padding-top: 100px; text-align: center; justify-content: center;">Skin Products</h1>
  <div class="container">
      <div class="row cardFlex" id="product">
          </div>
      </div>
</div>

{% else %}
    <!-- hair category -->
  <div id="skinCategory">
    <div class="container">
      <div class="row">
        <div id="category" class="col">
          <!-- content here -->
            {% if user.is_authenticated %}
              <h1>Hello, <span>{{ user.username }}</span></h1>
              <form method="GET">
                  {% csrf_token %}
                  <div class="form-group">
                    <p>What is your skin type?</p>
                    {{skinCategory.skinCategory}}
                  </div>
                  <button type="submit" class="btn btn-primary">Submit</button>
              </form>

            {% else %}
                <div class="row">
                    <h1 class="hello col-md-12 col-sm-12">You're not authenticated</span></h1>
                    <a href="{% url 'homepage:home' %}"><p>Please login first.</p></a>
                </div>
                
            {% endif %}
        </div>
        <div class="col">
        </div>
      </div>
    </div>
  </div>
{% endif %}

{% endblock content %}